org.h2.java.util

## Class Arrays

- java.lang.Object
- - org.h2.java.util.Arrays

    public class Arrays
    extends java.lang.Object

An simple implementation of java.util.Arrays

### Constructor Summary

Constructors
Constructor and Description
`Arrays()`

### Method Summary

Methods
`static void` `fill(byte[] array, byte x)` Fill an array with the given value.
`static void` `fill(char[] array, char x)` Fill an array with the given value.
`static void` `fill(int[] array, int x)` Fill an array with the given value.
`static void` `fillByte(byte[] array, byte x)` Fill an array with the given value.
`static void` `fillInt(int[] array, int x)` Fill an array with the given value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arrays

    public Arrays()

### Method Detail

#### fill

    public static void fill(char[] array,
            char x)

Fill an array with the given value.

Parameters:
  `array` - the array
  `x` - the value

#### fill

    public static void fill(byte[] array,
            byte x)

Fill an array with the given value.

Parameters:
  `array` - the array
  `x` - the value

#### fill

    public static void fill(int[] array,
            int x)

Fill an array with the given value.

Parameters:
  `array` - the array
  `x` - the value

#### fillByte

    public static void fillByte(byte[] array,
                byte x)

Fill an array with the given value.

Parameters:
  `array` - the array
  `x` - the value

#### fillInt

    public static void fillInt(int[] array,
               int x)

Fill an array with the given value.

Parameters:
  `array` - the array
  `x` - the value